---
apiVersion: v1
kind: Service
metadata:
  name: {{ .Release.Name }}-core
spec:
  type: ClusterIP
  selector:
    app: {{ .Chart.Name }}-core
    release: {{ .Release.Name }}-core
  ports:
    - name: http
      protocol: TCP
      port: 8536
      targetPort: 8536
---
apiVersion: v1
kind: Service
metadata:
  name: {{ .Release.Name }}-ui
spec:
  type: ClusterIP
  selector:
    app: {{ .Chart.Name }}-ui
    release: {{ .Release.Name }}-ui
  ports:
    - name: http
      protocol: TCP
      port: 1234
      targetPort: 1234
---
apiVersion: v1
kind: Service
metadata:
  name: {{ .Release.Name }}-pictrs
spec:
  type: ClusterIP
  selector:
    app: {{ .Chart.Name }}-pictrs
    release: {{ .Release.Name }}-pictrs
  ports:
    - name: http
      protocol: TCP
      port: 8080
      targetPort: 8080
---
apiVersion: v1
kind: Service
metadata:
  name: {{ .Release.Name }}-proxy
spec:
  type: ClusterIP
  selector:
    app: {{ .Chart.Name }}-proxy
    release: {{ .Release.Name }}-proxy
  ports:
    - name: http
      protocol: TCP
      port: 8080
      targetPort: 8080